import os

from python_tqt.qt import TQLabel

from tdecore import TDEApplication

class PageLaunch:
    def __init__ (self, parent):
        self.page = parent.addPage ()

        x = 10
        y = 10

        launchLbl   = TQLabel ("Launching application ... please wait\n\nClose launched application to continue", self.page)
        launchLbl.setGeometry (x, y, 300, 80)
        launchLbl.show ()

        self.page.show ()

        TDEApplication.kApplication ().processEvents ()

def xmlTDEActionCollection (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

def xmlKEditToolbar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

def xmlKEditToolbarWidget (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

def xmlKXMLGUIBuilder (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

def xmlKXMLGUIClient (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

def xmlKXMLGUIFactory (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python xmlmenudemo.py")

